<template>
	<section class="settings_main w-100">
		<div class="p-3 w-100">
			<div class="base_block p-3 mb-3">
				<form class="dash_ftr" @submit.prevent="filter">

					<div class="d-flex align-items-center py-2 mr-4">

						<div class="dash_ftr_lbl mr-2">{{ $store.state.locale.category }}:</div>

						<div class="base_select_alt dash_ftr_inp">
							<select class="form-control select_tree" v-model="orgNumber">
								<option value="">Все</option>
								<option v-for="org in orgList" :value="org.id">{{org.name}}</option>
							</select>

							<i class="mdi mdi-menu-down"></i>
						</div>
					</div>

					<div class="d-flex align-items-center py-2 mr-4 position-relative">
						<label style="width: 140px;" class="col-form-label">{{$store.state.locale.beginDate}}:</label>
						<datepicker
								v-model="fromDate"
								:config="options">
						</datepicker>
					</div>

					<div class="d-flex align-items-center py-2 mr-4 position-relative">
						<label style="width: 180px;" class="col-form-label">{{$store.state.locale.endDate}}:</label>
						<datepicker
								v-model="toDate"
								:config="options">
						</datepicker>
					</div>

					<button type="submit" class="btn call_save_btn dash_ftr_btn">{{ $store.state.locale.filter }}
					</button>
				</form>
			</div>
			<div class="settings_content_inr base_block">
				<div class="settings_panel p-3">
					<div class="settings_panel_cnt">
						<div class="table-responsive settings_content_tb">
							<h3 class="mt-4 mb-1">
							</h3>
							<div>
								<div class="button_wrapper">
									<div class="wrapper_item">
										<download-excel
												class="btn btn-default"
												:data="json_data_income"
												:fields="json_fields"
												worksheet="Income"
												name="income_report.xls">
											Экспорт в эксель
										</download-excel>
									</div>
									<div class="wrapper_item">
										<download-excel
												class="btn btn-default"
												:data="json_data_outcome"
												:fields="json_fields"
												worksheet="Outcome"
												name="outcome_report.xls">
											Экспорт в эксель
										</download-excel>
									</div>
								</div>
								<div style="display:flex;">
									<table class="table table-striped table-hover">
										<thead>
										<tr>
											<th rowspan="2" colspan="1">№</th>
											<th rowspan="2" colspan="2">Оператор</th>
											<th rowspan="1" colspan="8">Входящие</th>
										</tr>
										<tr>
											<th rowspan="1" colspan="2">Общая продолжительность (мин)</th>
											<th rowspan="1" colspan="2">Среднее время (сек)</th>
											<th rowspan="1" colspan="2">Принятые звонки</th>
											<th rowspan="1" colspan="2">Пропущенные звонки</th>
										</tr>

										</thead>
										<tbody>
										<tr v-for="(item, index) in income">
											<td>{{index + 1}}</td>
											<td colspan="2">{{item.operatorId}}</td>
											<td colspan="2">{{item.successTime}}</td>
											<td colspan="2">{{item.avgTime}}</td>
											<td colspan="2">{{item.successPcs}}</td>
											<td colspan="2">{{item.failPcs}}</td>
										</tr>
										<tr>
											<td colspan="3">Total</td>
											<td colspan="2">{{sumOfItems(income, 1).toFixed(2)}}</td>
											<td colspan="2">{{sumOfItems(income, 2).toFixed(2)}}</td>
											<td colspan="2">{{sumOfItems(income, 3)}}</td>
											<td colspan="2">{{sumOfItems(income, 4)}}</td>
										</tr>
										</tbody>
									</table>
									<table class="table table-striped table-hover">
										<thead>
										<tr>
											<th rowspan="2" colspan="1">№</th>
											<th rowspan="2" colspan="2">Оператор</th>
											<th rowspan="1" colspan="8">Исходящие</th>
										</tr>
										<tr>
											<th rowspan="1" colspan="2">Общая продолжительность (мин)</th>
											<th rowspan="1" colspan="2">Среднее время (сек)</th>
											<th rowspan="1" colspan="2">Принятые звонки</th>
											<th rowspan="1" colspan="2">Пропущенные звонки</th>
										</tr>
										</thead>
										<tbody>
										<tr v-for="(item, index) in outcome">
											<td>{{index + 1}}</td>
											<td colspan="2">{{item.operatorId}}</td>
											<td colspan="2">{{item.successTime}}</td>
											<td colspan="2">{{item.avgTime}}</td>
											<td colspan="2">{{item.successPcs}}</td>
											<td colspan="2">{{item.failPcs}}</td>
										</tr>
										<tr>
											<td colspan="3">Total</td>
											<td colspan="2">{{sumOfItems(outcome, 1).toFixed(2)}}</td>
											<td colspan="2">{{sumOfItems(outcome, 2).toFixed(2)}}</td>
											<td colspan="2">{{sumOfItems(outcome, 3)}}</td>
											<td colspan="2">{{sumOfItems(outcome, 4)}}</td>
										</tr>
										</tbody>
									</table>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>

		</div>
	</section>
</template>

<script src="./script.js">
</script>

<style scoped>
	.button_wrapper {
		display: flex;
	}

	.button_wrapper .wrapper_item {
		text-align: right;
		width: 50%;
	}
</style>
